

Summary:        This lib manages sieve support
Name:           libksieve
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires: cmake 
BuildRequires: lib64ical-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime5 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5identitymanagement-devel 
BuildRequires: lib64kf5imap-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5mailtransport-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5pimtextedit-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64sasl2-devel 
BuildRequires: qtbase5-common-devel 

%description
This lib manages sieve support.

%files
%_kf5_datadir/qlogging-categories5/libksieve.categories
%_kf5_datadir/sieve
%_kf5_datadir/qlogging-categories5/libksieve.renamecategories
%_kf5_datadir/locale
%_kf5_datadir/knsrcfiles/ksieve_script.knsrc
#--------------------------------------------------------------------

%package -n     kio5-sieve
Summary:        KDE sieve module
Group:          System/Libraries
Requires:       akonadi-contacts
Requires:       %{name} = %version

%description -n kio5-sieve
KDE sieve module.

%files -n kio5-sieve


#--------------------------------------------------------------------

%define kf5managesieve_major 5
%define libkf5managesieve %mklibname kf5managesieve %{kf5managesieve_major}

%package -n %libkf5managesieve
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5managesieve
This lib manages sieve support.

%files -n %libkf5managesieve
%_kf5_libdir/libKPim5KManageSieve.so.%{kf5managesieve_major}*


#--------------------------------------------------------------------

%define kf5ksieve_major 5
%define libkf5ksieve %mklibname kf5ksieve %{kf5ksieve_major}

%package -n %libkf5ksieve
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5ksieve
This lib manages sieve support.

%files -n %libkf5ksieve
%_kf5_libdir/libKPim5KSieve.so.%{kf5ksieve_major}*

#--------------------------------------------------------------------

%define kf5ksieveui_major 5
%define libkf5ksieveui %mklibname kf5ksieveui_ %{kf5ksieveui_major}

%package -n %libkf5ksieveui
Summary:      This lib manages sieve support
Group:        System/Libraries

Requires:     %name = %version

%description -n %libkf5ksieveui
This lib manages sieve support.

%files -n %libkf5ksieveui
%_kf5_libdir/libKPim5KSieveUi.so.%{kf5ksieveui_major}*

#--------------------------------------------------------------------

%define libksieve_devel %mklibname ksieve -d

%package -n %libksieve_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5managesieve = %version-%release
Requires:       %libkf5ksieve = %version-%release
Requires:       %libkf5ksieveui = %version-%release

Provides:       %name-devel = %{version}-%{release}

%description -n %libksieve_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %libksieve_devel
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake
%_libdir/qt5/mkspecs

#--------------------------------------------------------------------

%package        handbook
Summary:        Sieve Handbook
Group:          Documentation
BuildArch:      noarch

%description    handbook
This package provides Sieve handbook.

%files handbook


#--------------------------------------------------------------------

%prep
%setup -q 

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang --all %{name}5


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

